<template>
    <v-container grid-list-md >
         <v-stepper v-model="e1">
        <v-stepper-header>
          <v-stepper-step :complete="e1 > 1" step="1">Hẹn Lịch Khảo Sát</v-stepper-step>
          <v-divider></v-divider>
          <v-stepper-step :complete="e1 > 2" step="2">Kết Qủa Khảo Sát</v-stepper-step>
          <v-divider></v-divider>
        </v-stepper-header>
        <v-stepper-items>
          <v-stepper-content step="1">
              <v-card>
                <v-card-text>
                  <v-layout>
                      <v-flex xs2>
                          <v-list>
                            <v-list-tile-title>Tên Khách Hàng</v-list-tile-title>
                            <v-list-tile-title>{{tenKhachHang}}</v-list-tile-title>
                          </v-list>
                      </v-flex>
                      <v-flex xs3>
                            <v-list>
                              <v-list-tile-title>Số điện thoại</v-list-tile-title>
                              <v-list-tile-title><a>{{soDienThoai}}</a></v-list-tile-title>
                          </v-list>
                      </v-flex>
                        <v-flex xs6>
                          <v-list>
                              <v-list-tile-title>Địa chỉ</v-list-tile-title>
                              <v-list-tile-title><a>{{diaChi}}</a></v-list-tile-title>
                          </v-list>
                      </v-flex>
                  </v-layout>
                  <v-layout style="height: 22px;">
                    <v-flex xs5></v-flex>
                    <v-flex xs4>
                        Tình trạng sử dụng điện:
                    </v-flex>
                    <v-flex xs3>
                        Đề nghị mua điện:
                    </v-flex>
                  </v-layout>
                  <v-layout>
                    <v-flex xs2 >
                        <v-select  class="mt-0"
                              :items="items"
                              label="Mục đích sử dung điện"
                              autocomplete
                          ></v-select>
                    </v-flex>
                      <v-flex xs3>
                        <v-text-field
                              class="mt-0"
                              label="Công suất ĐK (kW)"
                              mask="### ### ###"
                            >
                        </v-text-field>
                    </v-flex>
                      <v-flex xs4 >
                        <v-radio-group v-model="row" row class="mt-1">
                          <v-radio label="Chưa có điện" value="radio-1"></v-radio>
                          <v-radio label="Chung công tơ" value="radio-2"></v-radio>
                        </v-radio-group>
                    </v-flex>
                    <v-flex xs3>
                        <v-radio-group v-model="row" row  class="mt-1">
                          <v-radio label="1 Pha" value="radio-1"></v-radio>
                          <v-radio label="2 Pha" value="radio-2"></v-radio>
                        </v-radio-group>
                    </v-flex>
                  </v-layout>
                  <span><b><h3>Thông tin lịch khảo sát:</h3></b></span>
                  <v-layout>
                        <v-flex xs3>
                          <v-text-field
                            type="datetime-local"
                          >
                          </v-text-field>
                        </v-flex>
                        <v-flex xs4>
                          <v-text-field
                            label="Lý do trở ngại"
                            v-model="lyDoTroNgai"
                          >
                          </v-text-field>
                        </v-flex>
                        <v-flex xs3 >
                            <v-text-field
                            type="datetime-local"
                          >
                          </v-text-field>
                        </v-flex>
                        <v-flex xs1><v-btn class="mt-3" small color="info">Cập nhập</v-btn></v-flex>
                  </v-layout>
                  <v-data-table
                      :headers="headers1"
                      :items="dataTable1"
                      hide-actions
                  >
                  <template slot="items" slot-scope="props">
                    <td class="text-xs-center px-0" style="width: 10px">{{props.item.lanHen}}</td>
                    <td class="text-xs-center  px-0 pl-4" style="width: 160px">{{props.item.ngayKhaoSat}}</td>
                    <td class="text-xs-center  px-0 pl-4">{{props.item.lyDO}}</td>
                  </template>
                  </v-data-table>
                </v-card-text>
              </v-card>v
              <v-layout>
                <v-flex xs4></v-flex>
                <v-flex xs4>
                  <v-btn flat>Bắt đầu khảo sát</v-btn>
                  <v-btn color="primary" @click="e1 = 2"> Chuyển</v-btn>
                </v-flex>
                <v-flex xs4></v-flex>
              </v-layout>
          </v-stepper-content>
          <v-stepper-content step="2">
            <v-card>
              <v-layout  style="height: 22px;" >
                <v-flex xs3
                  class="mt-1"
                >
                  <b> Cần cắt điện</b>
                </v-flex>
                <v-flex xs2></v-flex>
                <v-flex xs3 class="ml-4"><b>Trạm Lộ Pha</b></v-flex>
              </v-layout>
              <v-layout>
                <v-flex xs3 class="mt-1">
                  <v-radio-group v-model="row" row class="mt-1">
                    <v-radio label="Có" value="radio-1" ></v-radio>
                    <v-radio label="Không" value="radio-2"></v-radio>
                  </v-radio-group>
                </v-flex>
                <v-flex xs3>
                  <v-text-field
                    type="datetime-local"
                    label="Dự kiến lắp đặt"
                    class="mt-1"
                  >
                  </v-text-field>
                </v-flex>
                <v-flex xs2>
                  <v-text-field
                    class="mt-1"
                    label="Trạm"
                  ></v-text-field>
                </v-flex>
                <v-flex xs2>
                  <v-text-field
                    class="mt-1"
                  ></v-text-field>
                </v-flex>
                <v-flex xs2>
                  <v-text-field
                  label="Công suất"
                    class="mt-1"
                  ></v-text-field>
                </v-flex>
                <v-flex xs2>
                  <v-text-field
                    label="Điện áp (kV)"
                    class="mt-1"
                  ></v-text-field>
                </v-flex>
              </v-layout>
              <b><h3>Điểm Đấu</h3></b>
              <v-layout>
                <v-flex xs1>
                  <v-text-field
                    label="Số cột"
                  ></v-text-field>
                </v-flex>
                <v-flex xs4>
                  <v-text-field
                    label="Loại cột"
                  >
                  </v-text-field>
                </v-flex>
                <v-flex xs1>
                  <v-text-field
                    label="Số hàng"
                  ></v-text-field>
                </v-flex>
                <v-flex xs4>
                  <v-text-field 
                    label="Lộ"
                  ></v-text-field>
                </v-flex>
                <v-flex xs1>
                   <v-select
                    label="Pha"
                  ></v-select>
                </v-flex>
              </v-layout>
              <v-tabs color="cyan" dark slider-color="yellow" height="40px">
                  <v-tab>Danh mục vật tư</v-tab>
                  <v-tab>Bảng kê thiết bị điện</v-tab>
                  <v-tab>Hình ảnh hiện trường</v-tab>
                  <v-tab-item>
                     <v-card flat>
                      <v-card-text>
                        <v-layout>
                          <v-flex xs6>
                            <b>Ngành điện đầu tư:</b>
                            <v-container align-center text-xs-center>
                              <v-layout row wrap>
                                <v-flex xs12>
                                  <v-expansion-panel >
                                    <v-expansion-panel-content>
                                       <div slot="header">
                                          <v-layout row wrap>
                                            <v-flex xs12 ><b>Công tơ đếm điện</b></v-flex>
                                          </v-layout>
                                          <v-layout row wrap>
                                            <v-flex xs6>Số lượng: {{a}}</v-flex>
                                            <v-flex xs6>Đo đếm trực tiếp: {{a}}</v-flex>
                                          </v-layout>
                                          <v-layout>
                                            <v-flex xs6>Chủng loại:</v-flex>
                                            <v-flex xs6>Loại TI:</v-flex>
                                          </v-layout>
                                          aaaaaaaaaaa
                                       </div>
                                       <v-card>
                                         <v-card-text>
                                           aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
                                         </v-card-text>
                                       </v-card>
                                    </v-expansion-panel-content>
                                  </v-expansion-panel>
                                </v-flex>
                              </v-layout> 
                            </v-container>
                          </v-flex>
                          <v-flex xs6><b>Khách hàng đầu tư:</b></v-flex>
                        </v-layout>
                      </v-card-text>
                    </v-card>
                  </v-tab-item>
                  <v-tab-item>
                    <v-card>
                      <v-card-text>
                        <v-layout row wrap>
                          <v-flex xs3>
                            <v-select
                            hide-details
                            label="Mục đích"
                            :items="ArrMucDich"
                            v-model="MucDich"
                            >
                            </v-select>
                          </v-flex>
                          <v-flex xs3>
                            <v-select
                            label="Loại"
                              hide-details
                              :items="ArrLoai"
                              v-model="Loai">
                            </v-select>
                          </v-flex>
                          <v-flex xs5>
                            <v-select 
                            hide-details
                            label="Thiết bị điện"
                            :items="ArrThietBiDien"
                            v-model="ThietBiDien"
                            >

                            </v-select>
                          </v-flex>
                          <v-flex xs1>
                            <v-btn color="primary">
                              Thêm
                            </v-btn>
                          </v-flex>
                        </v-layout>
                        <v-layout row wrap>
                          <v-flex xs12>
                            <v-data-table
                              :headers="headers2"
                              :items="dataTable2"
                              hide-actions
                            >
                              <template slot="items" slot-scope="props">
                                <td  class="text-xs-center px-0">{{ props.item.TT }}</td>
                                <td class="text-xs-center px-0">{{ props.item.TenThietBi }}</td>
                                <td class="text-xs-center px-0">{{ props.item.MucDich }}</td>
                                <td class="text-xs-center px-0">{{ props.item.SoLuong }}</td>
                                <td class="text-xs-center px-0">{{ props.item.CongSuat }}</td>
                                <td class="text-xs-center px-0">{{ props.item.SoPha }}</td>
                                <td class="text-xs-center px-0">{{ props.item.ThoiGianSuDung }}</td>
                              </template>
                            </v-data-table>
                          </v-flex>
                        </v-layout>
                        <hr>
                        <v-layout row wrap>
                          <v-flex xs2><b>Mục đích</b></v-flex>
                          <v-flex xs2><b>Tổng công suất</b></v-flex>
                          <v-flex xs2><b>Điện năng ngày</b></v-flex>
                          <v-flex xs2><b>Tỉ lệ (%)</b></v-flex>
                        </v-layout>
                        <v-layout row wrap>
                          <v-flex xs2>Sinh hoạt:</v-flex>
                          <v-flex xs2>0.04</v-flex>
                          <v-flex xs2>0.12</v-flex>
                          <v-flex xs2>50</v-flex>
                        </v-layout>
                        <v-layout row wrap>
                          <v-flex xs2>Sản xuất:</v-flex>
                          <v-flex xs2>0.04</v-flex>
                          <v-flex xs2>0.12</v-flex>
                          <v-flex xs2>50</v-flex>
                        </v-layout>
                        <v-layout row wrap>
                          <v-flex xs2><b>Tổng:</b></v-flex>
                          <v-flex xs2>0.08</v-flex>
                          <v-flex xs2>0.24</v-flex>
                          <v-flex xs2>100</v-flex>
                        </v-layout>
                      </v-card-text>
                    </v-card>
                  </v-tab-item>
                  <v-tab-item>
                    <v-layout row nowrap style="height: 300px;">
                      <v-flex xs3>
                        Viết cái của mày vào đây
                      </v-flex>
                    </v-layout>
                  </v-tab-item>
              </v-tabs>
            </v-card>
            <v-layout>
                <v-flex xs4></v-flex>
                <v-flex xs4>
                  <v-btn flat>Bắt đầu khảo sát</v-btn>
                  <v-btn color="primary" @click="e1 = 2"> Chuyển</v-btn>
                </v-flex>
                <v-flex xs4></v-flex>
            </v-layout>
          </v-stepper-content>
        </v-stepper-items>
      </v-stepper>
    </v-container>
</template>
<script>
export default {
  name: 'HenLichKhaoSat',
  data () {
    return {
      e1: 0,
      tenKhachHang: 'Trần Quang Khanh',
      soDienThoai: '03265626262',
      diaChi: 'Số 1, ngõ 99, Thọ Khê, Đông Thọ, Bắc Ninh',
      lyDoTroNgai: 'hihihihihihihi',
      MucDich: '',
      ArrMucDich: ['Sinh Hoạt', 'Sản Xuất'],
      Loai: '',
      ArrLoai: ['Chiếu Sáng'],
      ThietBiDien: 'Đèn tuýp',
      ArrThietBiDien: ['Đèn tuýp', 'Đèn sợi tóc'],
      headers1: [
        {text: 'Lần hẹn', value: 'lanHen', align: 'center', class: 'px-0'},
        {text: 'Ngày khảo sát', value: 'ngayKhaoSat', align: 'center', class: 'px-0'},
        {text: 'Lý do', value: 'lyDO', align: 'center', class: 'px-0'}
      ],
      dataTable1: [
        {lanHen: 1, ngayKhaoSat: '08:00, 01/08/2018', lyDO: 'Khong gap dc chunha..........'},
        {lanHen: 1, ngayKhaoSat: '08:00, 01/08/2018', lyDO: 'Khong gap dc chunha..............'},
        {lanHen: 1, ngayKhaoSat: '08:00, 01/08/2018', lyDO: 'Khong gap dc chunha.................'},
        {lanHen: 1, ngayKhaoSat: '08:00, 01/08/2018', lyDO: 'Khong gap dc chunha.............'},
        {lanHen: 1, ngayKhaoSat: '08:00, 01/08/2018', lyDO: 'Khong gap dc chunha..............'},
        {lanHen: 1, ngayKhaoSat: '08:00, 01/08/2018', lyDO: 'Khong gap dc chunha...............'}
      ],
      headers2: [
        {text: 'TT', value: 'TT', align: 'center', class: 'px-0'},
        {text: 'Tên thiết bị', value: 'TenThietBi', align: 'center', class: 'px-0'},
        {text: 'Mục đích', value: 'MucDich', align: 'center', class: 'px-0'},
        {text: 'Số lượng', value: 'SoLuong', align: 'center', class: 'px-0'},
        {text: 'Công suất', value: 'CongSuat', align: 'center', class: 'px-0'},
        {text: 'Số pha', value: 'SoPha', align: 'center', class: 'px-0'},
        {text: 'T.gian sử dụng', value: 'ThoiGianSuDung', align: 'center', class: 'px-0'}
      ],
      dataTable2: [
        {TT: 1, TenThietBi: 'Đèn tuýp', MucDich: 'Sinh hoạt', SoLuong: 1, CongSuat: '0.04', SoPha: 1, ThoiGianSuDung: '3'},
        {TT: 2, TenThietBi: 'Đèn tuýp', MucDich: 'Sản xuất', SoLuong: 2, CongSuat: '0.04', SoPha: 1, ThoiGianSuDung: '3'}
      ]
    }
  }
}
</script>
